# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gangsterhat/version'

Gem::Specification.new do |spec|
  spec.name          = "gangsterhat"
  spec.version       = Gangsterhat::VERSION
  spec.authors       = ["Nuqz"]
  spec.email         = ["nuqz@indiesoft.ru"]

	spec.summary       = %q{GangsterHat provides various generator for Padrino Ruby web framework.}
	spec.description   = %q{Currently in development. This set of generators allows to quickly create JSON API CRUDs with RBAC, Pagination and Ember.js front-end. Includes following generators:
	* json_api_controller - generates JSON API controller
	* json_api_crud_controller - generates JSON API CRUD controller
	* json_api_model - generates model with pagination helper
	* json_api_frontend - generates Ember.js stuff for resource
	* json_api_scaffold - invokes json_api_crud_controller, json_api_model, json_api_frontend generators 
	Please, note, that it supports only RSpec test at this moment.
}
	spec.homepage      = "https://github.com/indiesoft/gangsterhat"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against " \
  #    "public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
